org.keycloak.protocol.saml

## Enum SignatureAlgorithm

- java.lang.Object
- - java.lang.Enum<SignatureAlgorithm>
  - - org.keycloak.protocol.saml.SignatureAlgorithm

- All Implemented Interfaces:
    Serializable, Comparable<SignatureAlgorithm>

      public enum SignatureAlgorithm
      extends Enum<SignatureAlgorithm>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DSA_SHA1`
    `RSA_SHA1`
    `RSA_SHA256`
    `RSA_SHA512`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Signature` | `createSignature()`
    `static SignatureAlgorithm` | `getFromXmlDigest(String xml)`
    `static SignatureAlgorithm` | `getFromXmlMethod(String xml)`
    `String` | `getJavaSignatureAlgorithm()`
    `String` | `getXmlSignatureDigestMethod()`
    `String` | `getXmlSignatureMethod()`
    `static SignatureAlgorithm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SignatureAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RSA_SHA1

          public static final SignatureAlgorithm RSA_SHA1

    - #### RSA_SHA256

          public static final SignatureAlgorithm RSA_SHA256

    - #### RSA_SHA512

          public static final SignatureAlgorithm RSA_SHA512

    - #### DSA_SHA1

          public static final SignatureAlgorithm DSA_SHA1

  - ### Method Detail

    - #### values

          public static SignatureAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SignatureAlgorithm c : SignatureAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SignatureAlgorithm valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getFromXmlMethod

          public static SignatureAlgorithm getFromXmlMethod(String xml)

    - #### getFromXmlDigest

          public static SignatureAlgorithm getFromXmlDigest(String xml)

    - #### getXmlSignatureMethod

          public String getXmlSignatureMethod()

    - #### getXmlSignatureDigestMethod

          public String getXmlSignatureDigestMethod()

    - #### getJavaSignatureAlgorithm

          public String getJavaSignatureAlgorithm()

    - #### createSignature

          public Signature createSignature()

Copyright © 2015. All rights reserved.